<?php

namespace Battle;

use Battle;
use Core\Db;

class Log
{
    /**
     * @param array $data [text,battle,id_hod,vars,type]
     * @return void
     */
    public static function add(array $data): void
    {
        if (
            empty($data['text']) ||
            empty($data['battle']) ||
            empty($data['id_hod']) ||
            !isset($data['vars']) ||
            !isset($data['type'])
        ) {
            return;
        }

        if (empty($data['type'])) {
            $data['type'] = 0;
        }

        Db::sql(
            "insert into battle_logs (time, battle, id_hod, text, vars, type, zona1, zona2, zonb1, zonb2)
                        values (unix_timestamp(),?,?,?,?,?,'','','','')",
            [
                $data['battle'],
                $data['id_hod'],
                $data['text'],
                $data['vars'],
                $data['type'],
            ]
        );
    }


    public static function addComment(Battle $battle): void
    {
        $comments = [
            'А танцуешь ты лучше.',
            'А мы что, в прятки тут играем?',
            'А вы разве пингвинов никогда не видели?',
            'А, ведь когда-то, вы были красивыми… А теперь? Ну и рожи! Жуть!',
            'А потом еще труп пинать будут.',
            'А я вчера ночью за соседями подглядывал. Они точно так же кувыркались',
            'А ведь вы живых людей дубасите...',
            'А вот я вчера в зоопарке был...',
            'А вы в стройбате не служили?',
            'А вы видели, чтобы так на улице делали!?',
            'А вы знали что ёжики размножаются в интернете?',
            'А жить-то, как хочется:',
            'А из-за чего вы собственно дерётесь?',
            'А чего ржёте, вы ещё остальных не видели',
            'А что произойдёт если ты испугаешся до полусмерти дважды?!',
            'Больше так не делай. Ты же не садист?',
            'Без комментариев...',
            'Больно ведь!',
            'Быстро ты за монитор спрятался!',
            'Все хотят попасть в рай, но никто не хочет умирать!',
            'Вчера с такой девчонкой познакомился.',
            'Всего 5 минут знакомы, а дерутся, словно супруги с 20-ти летним стажем...',
            'Все. Я так больше не могу.',
            'В конце концов, кто-то победит?',
            'Вы чего, с дерева упали?',
            'Возятся как сонные мухи... давайте я вам лучше анекдот расскажу: ...',
            'Вот видишь, как полезно чистить зубы на ночь?',
            'Вот вы все руками махаете, а за вами уже очередь',
            'Вот попадёте вы в плен и вас там будут долго бить. Но вы ничего не расскажете... и не потому, что вы такой стойкий, просто вы ничего не знаете',
            'Вы бы лучше пошли потренировались!',
            'Вы все еще разминаетесь? Позовите, когда кости в муку друг другу разминать будете.',
            'Вы же бойцы! Имейте совесть!',
            'Гаси недоумка!',
            'Да, если бы я смог это остановить, то получил бы нобелевскую премию `За мир` ',
            'Да куда они бьют?!',
            'Давайте быстрее! За вами уже очередь образовалась.',
            'Давайте обойдемся сегодня таймаутом. А? А то мне уже кошмары скоро будут сниться.',
            'Дерутся как девчонки!',
            'Дети, посмотрите налево... Ой!.. Нет, туда лучше не смотреть.',
            'Если так будет продолжаться, то скоро мы заснем!',
            'Если бы у меня было кресло-качалка, я бы в нём качался...',
            'Если вы что-то сказать хотите, то лучше молчите :)',
            'Жестокость не порок.',
            'Жизнь вне нашего клуба - это пустая трата кислорода!!!',
            'Жми! Дави! Кусай! Царапай!',
            'За такие бои надо в хаос отправлять!',
            'Знаете откуда в комиссионном магазине столько вещей? Это я после ваших гулянок собираю и сдаю туда. Иногда вместе с частями тела, застрявшими в них.',
            'Здесь люди так близки друг к другу. Просто иначе ударить нельзя.',
            'И пролитая кровь еще пульсирует...',
            'Инвалидов развелось...',
            'Какой бой!!!',
            'Кто!? Кто здесь?!',
            'Кто вас этому научил?',
            'Кузнечик, блин...',
            'Куплю импортный проигрыватель грампластинок.',
            'Лошадью ходи!',
            'Лучше враг, чем друг - враг.',
            'Ладно, вы тут пока друг друга за волосы таскайте, а я пойду, пообедаю.',
            'Мне ваш балет уже надоел!',
            'Может, начнется-таки настоящий бой???',
            'Мысли лезут в голову изнутри, а удары снаружи.',
            'Ну и где ваши коронные удары? Где живописные падения я спрашиваю!',
            'Ну, нельзя же так наотмашь лупить!',
            'Надо раньше было думать, теперь смертельно поздно...',
            'На такое зрелище билеты продавать можно. Народ ухохочется!',
            'Нет! Не надо драки! А... ладно деритесь, все равно не умеете.',
            'Нет, ну должен быть повод, должен же быть повод?',
            'Нет, я отказываюсь это комментировать!',
            'Не таких обламывали!',
            'Ну выпили вы рюмку, ну две... ну литр, ну два... так зачем же после этого драку затевать?!',
            'Ну и кто за этот погром платить будет?',
            'Ну и оскал у вас. Из вашей улыбки кастеты делать можно.',
            'Ну, что же ты..? Не печалься. Выше голову, так по ней удобней попасть.',
            'Ничего... Блок тоже удар.',
            'Обернись!!!.... Поздно...',
            'Ого! Научите меня так не делать.',
            'Осторожно! Сделаешь дырочку, уже не запломбируешь!',
            'Оно вам надо???',
            'Обычное дело...там что-то отклеилось.',
            'Ой, и заболтался я с вами...',
            'Он же не промахнётся если ты не отойдёшь!',
            'По-моему, кому-то светит инвалидность.',
            'Подкинь ему грабли, на которые он еще не наступал.',
            'Прав был кот Леопольд, давайте жить дружно?',
            'При ударе в живот нарушается кислотно-щелочной баланс.',
            'Проверь, не торчит ли у тебя нож из живота.',
            'Перестаньте мне орать!',
            'Подкинь ему грабли, на которые он еще не наступал.',
            'Прыгают тут как блохи... Все, я пошел за дихлофосом!',
            'Разбудите меня когда эта порнография закончится...',
            'Ребенок сильнее ударил бы!',
            'Славно вмазал!',
            'Славно они веселятся',
            'Смотрю вот на вас, и слезы наворачиваются.',
            'Сначала учатся ходить, а потом только в драку лезут.',
            'Так они друг другу что-нибудь сломают.',
            'Так ты ему все кости переломаешь!',
            'У меня в подъезде точно так же соседа отмудохали',
            'Убогих развелось...',
            'Ух ты, какой прыткий!',
            'Фашист!! Надо ж, так по больному месту врезать...',
            'Хватит бить его об угол моей кабинки! Мне же потом ее чинить.',
            'Хулиганы, прекратите немедленно!',
            'Хочешь, подскажу, куда он ударит?',
            'Хорошо, что у меня ловкости больше чем у вас всех, а то б вы и меня в инвалидную коляску посадили бы.',
            'Хороший бой!',
            'Хороший удар!',
            'Хиляк-разрядник!',
            'Что ты его за волосы схватил?! Отпусти немедленно!',
            'Щас я вас настигну, вот тогда мы и похохочем',
            'Это была какая-то неизвестная мне техника...',
            'Это же противник, а не глина! Хватит мяться!',
            'Это не бой, это издевательское избиение.',
            'Это поубавит спеси',
            'Это и был твой план `Б` ?',
            'Это была какая-то неизвестная мне техника...',
            'Я же предупреждал, - будет больно.',
            'Я не страдаю безумием. Я наслаждаюсь им каждую минуту :)',
            'Я красивый, я сильный, я умный, я добрый. А вот вы? Вы себя-то видели?!',
            'Я тоже умею драться, но не буду...',
            '(тревожно озираясь) я вам по секрету скажу... за вами наблюдают!',
            '<вырезано цензурой> после боя я этих <вырезано цензурой> обоих в <вырезано цензурой> и <вырезано цензурой>',
            '<вырезано цензурой> каратисты фиговы',
        ];
        $randomcomment = $comments[array_rand($comments)];
        $text = "{tm1} <i>Комментатор: $randomcomment</i>";

        self::add(
            [
                'battle' => $battle->info['id'],
                'id_hod' => $battle->hodID,
                'text' => "{tm1} <i>Комментатор: $randomcomment</i>",
                'vars' => 'time1=' . time(),
                'type' => 1,
            ]
        );
    }
}